function Enemy()

  dice = math.random(1,4)
  local _x, _y
  _size = math.random(20, 50)

  if dice == 1 then
    _x = math.random(_size, love.graphics.getWidth())
    _y = -_size * 4

  elseif dice == 2 then
    _x = -_size * 4
    _y = math.random(_size, love.graphics.getHeight())

  elseif dice == 3 then
    _x = math.random(_size, love.graphics.getWidth())
    _y = love.graphics.getHeight() + _size * 4

  elseif dice == 4 then
    _x = love.graphics.getWidth() + _size * 4
    _y = math.random(_size, love.graphics.getHeight())
  end

  return {
    health = 10,
    size = _size,
    x = _x,
    y = _y,

    move = function(self, tower_x, tower_y)
      if (tower.x - math.floor(self.size / 2)) - self.x > 0 then
        self.x = self.x + 1
      elseif (tower.x - math.floor(self.size /2)) - self.x < 0 then
        self.x = self.x - 1
      end

      if (tower.y - math.floor(self.size / 2)) - self.y > 0 then
        self.y = self.y + 1
      elseif (tower.y - math.floor(self.size /2)) - self.y < 0 then
        self.y = self.y - 1
      end
    end,

    draw = function(self)

      love.graphics.setColor(1,0,0)
      love.graphics.rectangle("fill", self.x, self.y, self.size, self.size)
      love.graphics.setColor(0,0,0)
      love.graphics.rectangle("line", self.x, self.y, self.size, self.size)
      love.graphics.setColor(1,1,1)

    end

    }
end

return Enemy